* Figure 7.1
clear
set more off

* Construct Figure 7.1
import excel using "gallup_desired_fertility.xls", cellrange(A2:F31) 
rename A year
rename B ideal0
rename C ideal1 
rename D ideal2
rename E ideal3
rename F ideal4plus
lab var ideal0 "percent respondents saying ideal number of children is 0"
lab var ideal1 "percent respondents saying ideal number of children is 1"
lab var ideal2 "percent respondents saying ideal number of children is 2"
lab var ideal3 "percent respondents saying ideal number of children is 3"
lab var ideal4plus "percent respondents saying ideal number of children is 4+"


twoway line ideal0 year, lcolor(black) lp(shortdash) ///
|| line ideal1 year, lcolor(black) lp(dash) ///
|| line ideal2 year, lcolor(black) lp(solid) ///
|| line ideal3 year, lcolor(black) lp(longdash) ///
|| line ideal4 year, lcolor(black) lp(dash_dot) ///
graphregion(fcolor(white)) legend(order(1 "0" 2 "1" 3 "2" 4 "3" 5 "4+") row(1)) ///
ylabel(0(10)60) xlabel(1940(10)2010) xtitle("") ytitle("Percentage of respondents") 

graph save figure7_1,replace 
