* Figure 7.13
clear
set more off

import excel using "TFR data by country graph.xlsx", first sheet("Data") cellrange(A1:BD11)

* change format of the databse in order to graph:
local y = 1960
foreach var of varlist C-BD {
	rename `var' y`y'
	local y = `y' + 1
}

reshape long y, i(CountryName CountryCode) j(year)
rename y fertility
drop CountryCode
rename CountryName country

drop if year <1980

twoway line fert year if country=="United States" , lp(solid) lcolor(black) lwidth(medthick) ///
|| line fert year if country=="Austria", lp(dash) lcolor(black)   ///
|| line fert year if country=="France",   lp(dash_dot) lcolor(black)  ///
|| line fert year if country=="Germany", lp(longdash) lcolor(black)    ///
|| line fert year if country=="Japan", lp(solid) lcolor(gray) lwidth(medthick) ///
|| line fert year if country=="Norway", lp(shortdash) lcolor(black)  ///
|| line fert year if country=="Spain", lp(solid) lcolor(gs12) lwidth(medthick) ///
graphregion(color(white))  ///
legend(row(2) symxsize(9) size(small)) ytitle("Total fertility rate", height(5)) ///
 ylabel(1(.2)2.4, format(%3.01f)) xtitle("") xlabel(1980(5)2015) ///
 legend(order(1 "United States" 2 "Austria" 3 "France" 4 "Germany" 5 "Japan" 6 "Norway" 7 "Spain"))

graph save figure7_13.gph, replace 
