* Figure 7.8
clear
set more off

* Construct Figure 7.8
import excel using "fig_78.xlsx", sheet("Infant Mortality") cellrange(A2:F254) first
rename * *_IMR

rename A_ year
keep if year >=1870 & year <=1970
destring Germany, ignore(FRG) replace
lab var Ger "Germany"

twoway line UK year, lp(solid) lcolor(black) lwidth(medthick)  ///
|| line France year, lp(dash) lcolor(black)  ///
|| line Ger year,   lp(solid) lcolor(gs12) lwidth(medthick) ///
|| line Swed year, lp(longdash) lcolor(black) ///
|| line US year, lp(solid) lwidth(medthick)  lcolor(gray) graphregion(color(white)) ///
legend(row(1) symxsize(10) size(small)) ytitle("Infant mortality rate") ylabel(0(50)300) xtitle("") xlabel(1870(20)1970)


graph save figure7_8.gph, replace

